#############################################################################
#
# XLConnect
# Copyright (C) 2010-2013 Mirai Solutions GmbH
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
#############################################################################

#############################################################################
#
# Converting row and column indices to cell references
# 
# Author: Martin Studer, Mirai Solutions GmbH
#
#############################################################################

idx2cref <- function(x, absRow = TRUE, absCol = TRUE) {
	if(!is.numeric(x)) stop("x must be a numeric matrix or vector of indices!")
	if(!is.matrix(x)) x <- matrix(x, ncol = 2, byrow = TRUE)
	apply(x, 1, function(xx) {
				cf <- new(J("org.apache.poi.ss.util.CellReference"), as.integer(xx[1] - 1), as.integer(xx[2] - 1), absRow, absCol)
				cf$formatAsString()		
			})
}
